package com.ruoyi.system.utils.jsch;

import com.ruoyi.common.core.utils.uuid.UUID;
import com.ruoyi.system.utils.jsch.entity.DockerContainer;
import java.util.ArrayList;
import java.util.List;

public class DockerParser {
   public static void main(String[] args) {
      System.out.println(UUID.randomUUID().toString().replaceAll("-", ""));
   }

   public static List<DockerContainer> parseDockerPsOutput(String output) {
      List<DockerContainer> containers = new ArrayList();
      String[] lines = output.split("\n");
      String[] var3 = lines;
      int var4 = lines.length;

      for(int var5 = 0; var5 < var4; ++var5) {
         String line = var3[var5];
         if (!line.trim().isEmpty()) {
            String[] parts = line.trim().split("\\s+");
            DockerContainer container = new DockerContainer();
            container.setContainerId(parts[0]);
            container.setImage(parts[1]);
            container.setCommand(parts[2]);
            container.setCreated(parts[3]);
            container.setStatus(parts[4]);
            container.setPorts(parts[5] + (parts.length > 6 ? " " + parts[6] : ""));
            container.setNames(parts[parts.length - 1]);
            containers.add(container);
         }
      }

      return containers;
   }
}
